/***************************************************************************
 *                                                                         *
 *   Zabit: Content and attachment filter for qmail.                       *
 *   Version 0.7.1                                                         *
 *   http://www.enderunix.org/zabit                                        *
 *                                                                         *
 *   Copyright (C) 2004 by N.Ersen SISECI                                  *
 *   siseci@enderunix.org                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ZABIT_H

#define ZABIT_H

#include "prefix.h"

#ifndef INSTALL_PREFIX
#define INSTALL_PREFIX "/usr/local"
#endif


#define WORD_LIST INSTALL_PREFIX"/etc/zabit.conf"
#define BIGBUFSIZE	3096
#define WORDLISTSIZE	2048
#define WORDSIZE	128
#define MAXFILENAMELEN  256

#define NORMALMAIL 0
#define SPAMMAIL   1
#define ERRORTMP   2

typedef struct badwordlist badwordlist;

struct badwordlist
{
	char word[WORDSIZE];
	int count;
};

badwordlist * wordlist;
int entrycount;
int caseinsensitive;
int scanonly;
int donotlog;

#endif
